
%define libname %mklibname missioncontrol 0
%define libname_devel %mklibname -d missioncontrol

Name:           telepathy-mission-control
Version:        4.65
Release:        %mkrel 1
Summary:        Telepathy component managing connection managers
Group:          Networking/Instant messaging
License:        LGPLv2+
URL:            http://mission-control.sourceforge.net/
Source0:        %{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: pkgconfig
BuildRequires: glib2-devel
BuildRequires: dbus-glib-devel
BuildRequires: libtelepathy-devel
BuildRequires: chrpath
BuildRequires: libxslt-proc
BuildRequires: libGConf2-devel
BuildRequires: python
Requires:	telepathy-filesystem

%description
Mission Control, or MC, is a Telepathy component providing a way for "end-user"
applications to abstract some of the details of connection managers, to provide
a simple way to manipulate a bunch of connection managers at once, and to
remove the need to have in each program the account definitions
and credentials.

%package -n %libname_devel
Summary: Development library for telepathy-mission-control
Requires:      %libname = %version
Group:         Development/C
Provides:      %{name}-devel
Obsoletes:	%libname-devel

%description -n %libname_devel
Development library for telepathy-mission-control

%package -n %libname
Summary: Run time library for telepathy-mission-control
Group:   System/Libraries
%description -n %libname
Run time library for telepathy-mission-control


%prep
%setup -q

%build
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
chrpath -d $RPM_BUILD_ROOT/%{_bindir}/*
chrpath -d $RPM_BUILD_ROOT/%{_libdir}/*.so.0*
%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS 
%{_bindir}/*
%{_datadir}/dbus-1/services/*.service
%{_libdir}/mission-control

%files -n %libname
%defattr(-,root,root,-)
%{_libdir}/*.so.0*
%{_libdir}/*.so.1*
%{_libdir}/*.so.5*

%post -n %{libname}
/sbin/ldconfig

%postun -n %{libname}
/sbin/ldconfig

%files -n %libname_devel
%defattr(-,root,root,-)
%{_datadir}/gtk-doc/html/
%{_includedir}/*
%{_libdir}/*.a
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/pkgconfig/*pc


%changelog
* Sun Apr 13 2008 Frederik Himpe <fhimpe@mandriva.org> 4.65-1mdv2008.1
+ Revision: 192653
- New version

* Mon Mar 10 2008 Michael Scherer <misc@mandriva.org> 4.63-1mdv2008.1
+ Revision: 183464
- new version 4.63

* Wed Feb 13 2008 Michael Scherer <misc@mandriva.org> 4.60-1mdv2008.1
+ Revision: 167100
- update to 4.60
- use upstream tarball

* Thu Jan 17 2008 Michael Scherer <misc@mandriva.org> 4.55-1mdv2008.1
+ Revision: 154001
- fix missing file build failure
- update to 4.55

  + Jérôme Soyer <saispo@mandriva.org>
    - New release

* Sat Jan 05 2008 Jérôme Soyer <saispo@mandriva.org> 4.49-1mdv2008.1
+ Revision: 145842
- Add BR
- New release

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Oct 12 2007 Jérôme Soyer <saispo@mandriva.org> 4.42-1mdv2008.1
+ Revision: 97704
- New release 4.42

* Wed Sep 05 2007 Michael Scherer <misc@mandriva.org> 4.37-1mdv2008.0
+ Revision: 79778
- new version 4.37

* Sun Aug 12 2007 Michael Scherer <misc@mandriva.org> 4.33-1mdv2008.0
+ Revision: 62223
- update to 4.33

* Thu Jul 19 2007 Funda Wang <fundawang@mandriva.org> 4.30-1mdv2008.0
+ Revision: 53613
- New version

* Sat Jun 30 2007 Michael Scherer <misc@mandriva.org> 4.28-1mdv2008.0
+ Revision: 46043
- 4.28

* Wed Jun 20 2007 Nicolas Lécureuil <neoclust@mandriva.org> 4.26-1mdv2008.0
+ Revision: 41769
- New version 4.26

* Sat Jun 16 2007 Michael Scherer <misc@mandriva.org> 4.25-1mdv2008.0
+ Revision: 40403
- update to 4.25
- remove patch 0, applied upstream
- complete Summary

* Wed May 23 2007 Michael Scherer <misc@mandriva.org> 4.22-1mdv2008.0
+ Revision: 30224
- Import telepathy-mission-control

